org.eclipse.actf.visualization.ui.report.table

## Class ResultTableSorter

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.jface.viewers.ViewerSorter
    - - org.eclipse.actf.visualization.ui.report.table.ResultTableSorterBase
      - - org.eclipse.actf.visualization.ui.report.table.ResultTableSorter

All Implemented Interfaces:
  IResultTableSorter

    public class ResultTableSorter
    extends ResultTableSorterBase

Viewer sorter implementation for general accessibility issues

See Also:
  `IResultTableSorter`, `IProblemItem`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.actf.visualization.ui.report.table.ResultTableSorterBase

`ResultTableSorterBase.DescriptionComparator, ResultTableSorterBase.ErrorIDComparator, ResultTableSorterBase.GuidelineComparator, ResultTableSorterBase.LinesComparator, ResultTableSorterBase.ScoreCompator, ResultTableSorterBase.SeverityComparator, ResultTableSorterBase.StringComparator`

### Constructor Summary

Constructors
Constructor and Description
`ResultTableSorter()` Constructor of the class

### Method Summary

Methods
`int` `compare(org.eclipse.jface.viewers.Viewer arg0, Object arg1, Object arg2)`
`void` `reset()` This method will be called by result table viewer to reset sort order.
`void` `setCurColumn(int curColumn)` This method will be called by result table viewer when the target column is selected by user.

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultTableSorter

    public ResultTableSorter()

Constructor of the class

### Method Detail

#### compare

    public int compare(org.eclipse.jface.viewers.Viewer arg0,
              Object arg1,
              Object arg2)

Overrides:
  `compare` in class `org.eclipse.jface.viewers.ViewerComparator`

#### setCurColumn

    public void setCurColumn(int curColumn)

Description copied from interface: `IResultTableSorter`
This method will be called by result table viewer when the target column is selected by user.

#### reset

    public void reset()

Description copied from interface: `IResultTableSorter`
This method will be called by result table viewer to reset sort order.